From 3d9d80649dce6887056f6e3b4870f0a6af2302f9 Mon Sep 17 00:00:00 2001
From: Vivek Anand <vivekanand1101@gmail.com>
Date: Oct 05 2016 10:43:54 +0000
Subject: [PATCH 651/1001] some beautification in pagureissues widget


---

diff --git a/hubs/widgets/pagureissues.py b/hubs/widgets/pagureissues.py
index 118f8d5..c9ecd53 100755
--- a/hubs/widgets/pagureissues.py
+++ b/hubs/widgets/pagureissues.py
@@ -1,9 +1,10 @@
+import requests
+
 from hubs.hinting import hint
 from hubs.widgets.chrome import panel
 from hubs.widgets.base import argument
 from hubs.widgets import templating
 import hubs.validators as validators
-import requests
 
 pagure_url = "https://pagure.io/api/0"
 
@@ -17,6 +18,9 @@ position = 'right'
           validator=validators.pagure_repo,
           help="Pagure repo name")
 def data(session, widget, repo):
+    ''' Data for pagure issues widget
+    Queries Pagure api for issues '''
+
     repo = "pagure"
 
     url = '/'.join([pagure_url, repo, "issues"])
@@ -65,4 +69,7 @@ def data(session, widget, repo):
 
 @hint()
 def should_invalidate(message, session, widget):
+    ''' Checks whether pagureissues widget cache needs an update
+    Run by backend daemon listening to fedmsg '''
+
     raise NotImplementedError

